WordPress.org

Ready to get started?Download WordPress

Forums

Web Fonts
[resolved] Error message from web fonts plugin (12 posts)

  1. clivewilliams
    Member
    Posted 2 years ago #

    I've installed the web fonts wordpress plugin on my 3.3.1 test site, but when I go to the web fonts admin section inside wordpress, I get this:

    Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in /datasan/www/vhosts/rectanglered.co.uk/httpdocs/wptest/wp-content/plugins/web-fonts/views/backend/settings/overview.php on line 8

    http://wordpress.org/extend/plugins/web-fonts/

  2. rookiep01
    Member
    Posted 2 years ago #

    I second that - I just downloaded the plugin and got:

    Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in /home/mochi/public_html/wp-content/plugins/web-fonts/views/backend/settings/overview.php on line 8

    Please someone respond with a solution!

    Thanks!

  3. nickohrn
    Member
    Plugin Author

    Posted 2 years ago #

    Can you tell me what version of PHP you guys are using?

  4. clivewilliams
    Member
    Posted 2 years ago #

    PHP 5.2.17, running under Plesk 9.5 for me. PHP is run as an apache module with safe mode off.

    I've temporarily stuck a php_info thing on the site here:

    http://www.rectanglered.co.uk/wptest/blah.php

    Thanks,

    Clive

  5. nickohrn
    Member
    Plugin Author

    Posted 2 years ago #

    Thanks a bunch - I'll review and see if I can get a fix up. That error message usually means double colon somewhere it shouldn't be.

  6. nickohrn
    Member
    Plugin Author

    Posted 2 years ago #

    Oh, and you can take down the php info - I went ahead and grabbed it already.

  7. nickohrn
    Member
    Plugin Author

    Posted 2 years ago #

    I've fixed the issue in the newest release (1.0.2) and you should be good to go. If you could check and then click the "It Works" button if it does, that'd be awesome!

  8. clivewilliams
    Member
    Posted 2 years ago #

    Sorry, no - I get past the point it fell over last time, but as soon as I click on fonts.com on the manage stylesheet screen I get this:

    Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in /datasan/www/vhosts/rectanglered.co.uk/httpdocs/wptest/wp-content/plugins/web-fonts/views/backend/settings/settings.php on line 2

  9. nickohrn
    Member
    Plugin Author

    Posted 2 years ago #

    Thanks for the feedback. Let me see what I can do.

  10. nickohrn
    Member
    Plugin Author

    Posted 2 years ago #

    All right, I caught another instance where I was using a stupid PHP 5.3+ only feature because I was lazy. Thanks for helping me get that :)

    If you download 1.0.3 you should be good to go. Also, be on the lookout for 1.1.0 coming soon which will add Google Web Fonts support :)

  11. nickohrn
    Member
    Plugin Author

    Posted 2 years ago #

    Ugh, I caught another bug. I'm going to fix it - so give me ten minutes and then download 1.0.4.

  12. nickohrn
    Member
    Plugin Author

    Posted 2 years ago #

    Because there hasn't been a response, I'm going to go ahead and mark this as resolved.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags